> ## Documentation Index
> Fetch the complete documentation index at: https://aisa.one/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# 按 id 获取 Google 酒店搜索结果

> Hotel Searches API 将为你提供酒店列表，包括每家酒店的价格、图片、评分数据等信息。



## OpenAPI

````yaml openapi/zh/dataforseo.json GET /dataforseo/business_data/google/hotel_searches/task_get/{id}
openapi: 3.0.3
info:
  title: DataForSEO API
  version: 1.0.0
  description: 通过 AIsa 统一网关提供的 DataForSEO API 端点。
servers:
  - url: https://api.aisa.one/apis/v1
security:
  - BearerAuth: []
paths:
  /dataforseo/business_data/google/hotel_searches/task_get/{id}:
    get:
      summary: 按 id 获取 Google 酒店搜索结果
      description: >-
        Hotel Searches API 将提供酒店列表，包括每家酒店的价格、图片、评分数据等信息。通过在 POST
        数组中使用不同参数，你可以根据支持的参数获取筛选后的酒店列表。
      operationId: get_dataforseo_business_data_google_hotel_searches_task_get_id
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
          description: DataForSEO 任务 ID。
        - name: id
          in: query
          required: false
          schema:
            type: string
          description: >-
            *任务标识符* **本系统中采用
            [UUID](https://en.wikipedia.org/wiki/Universally_unique_identifier)
            格式的唯一任务标识符**；你可以在 **30 天内**随时使用它请求任务结果。
      responses:
        '200':
          description: 成功响应
          content:
            application/json:
              schema:
                type: object
                properties:
                  version:
                    type: string
                    description: '*API 的当前版本*'
                  version.status_code:
                    type: integer
                    description: >-
                      *常规状态代码*
                      您可以在[此处](https://docs.dataforseo.com/v3/appendix/errors.md)查看完整的响应代码列表。**注意：**我们强烈建议设计必要的系统来处理相关异常或错误情况
                  version.status_message:
                    type: string
                    description: >-
                      *一般信息消息*
                      你可以在[此处](https://docs.dataforseo.com/v3/appendix/errors.md)查看一般信息消息的完整列表
                  version.time:
                    type: string
                    description: '*执行时间（秒）*'
                  version.cost:
                    type: number
                    description: '*所有*任务*的总成本（美元）*'
                  version.tasks_count:
                    type: integer
                    description: '***`tasks`** 数组中的任务数量*'
                  version.tasks_error:
                    type: integer
                    description: '***`tasks`** 数组中返回错误的任务数量*'
                  tasks:
                    type: array
                    items:
                      type: string
                    description: '*任务数组*'
                  tasks.id:
                    type: string
                    description: >-
                      *任务标识符* **我们系统中采用
                      [UUID](https://en.wikipedia.org/wiki/Universally_unique_identifier)
                      格式的唯一任务标识符**
                  tasks.status_code:
                    type: integer
                    description: >-
                      由 DataForSEO 生成的*任务状态码*；范围为
                      10000-60000；你可以在[此处](https://docs.dataforseo.com/v3/appendix/errors.md)查看完整的响应代码列表
                  tasks.status_message:
                    type: string
                    description: >-
                      *任务的提示信息*
                      你可以在[此处](https://docs.dataforseo.com/v3/appendix/errors.md)查看通用提示信息的完整列表
                  tasks.time:
                    type: string
                    description: '*执行时间（秒）*'
                  tasks.cost:
                    type: number
                    description: '*任务成本（美元）*'
                  tasks.result_count:
                    type: integer
                    description: '*`result` 数组中的元素数量*'
                  tasks.path:
                    type: array
                    items:
                      type: string
                    description: '*URL 路径*'
                  tasks.data:
                    type: object
                    description: '*包含与您在 POST 请求中指定的参数相同的参数*'
                  result:
                    type: array
                    items:
                      type: string
                    description: '*结果数组*'
                  result.keyword:
                    type: string
                    description: >-
                      *POST 数组中接收的 keyword* 返回的 keyword 中，%##
                      将被解码（加号字符“+”将被解码为空格字符）；为获得准确的搜索结果，位置名称会自动附加到 keyword
                  result.location_code:
                    type: integer
                    description: '*POST 数组中的位置代码*'
                  result.language_code:
                    type: string
                    description: '*POST 数组中的语言代码*'
                  result.check_url:
                    type: string
                    description: '*搜索引擎结果的直接 URL*，你可以使用它确认我们提供的结果是否准确'
                  result.datetime:
                    type: string
                    description: >-
                      *收到结果的日期和时间*，采用 UTC 格式：“yyyy-mm-dd hh-mm-ss
                      +00:00”；示例：`2019-11-15 12:57:46 +00:00`
                  result.items_count:
                    type: integer
                    description: '*项目类型* `items` 数组中的项目数量'
                  items:
                    type: array
                    items:
                      type: string
                    description: >-
                      *出现的项目类型* `items`
                      数组中出现的搜索引擎结果类型；可能的项目类型：`hotel_search_item`
                  items.type:
                    type: string
                    description: '*元素类型 = **‘hotel\_search\_item’***'
                  items.hotel_identifier:
                    type: string
                    description: '*Google 搜索中酒店实体的唯一标识符* 示例：`CgoI-KWyzenM_MV3EAE`'
                  items.title:
                    type: string
                    description: '*酒店名称*'
                  items.stars:
                    type: integer
                    description: '*酒店星级评分* 范围为 1–5 星的星级评分'
                  items.is_paid:
                    type: boolean
                    description: >-
                      *表示付费酒店列表* 如果为 `true`，相关 `hotel_search_item` 为付费广告；如果为
                      `false`，相关 `hotel_search_item` 为自然酒店列表
                  items.location:
                    type: object
                    description: '*酒店位置的 GPS 坐标*'
                  items.latitude:
                    type: number
                    description: '*酒店在 google maps 中的纬度坐标* 示例：`"latitude": 51.584091`'
                  items.longitude:
                    type: number
                    description: >-
                      *酒店在 Google Maps 中的经度坐标* 示例：`"longitude":
                      -0.31365919999999997`
                  items.reviews:
                    type: object
                    description: '*酒店评论和评分信息*'
                  items.value:
                    type: number
                    description: '*基于所有评论的平均评分*'
                  items.votes_count:
                    type: integer
                    description: '*投票数*'
                  items.mentions:
                    type: array
                    items:
                      type: string
                    description: >-
                      *酒店提及信息* **注意：**此字段始终等于 `null`；可使用此字段简化集成，并确保与 [Hotel
                      Info](https://docs.dataforseo.com/v3/business_data/google/hotel_info/live/advanced.md)
                      端点的互操作性
                  items.rating_distribution:
                    type: object
                    description: >-
                      *按投票统计的评分分布* **注意：** 此字段始终等于 `null`；使用此字段可简化集成，并确保与
                      [酒店信息](https://docs.dataforseo.com/v3/business_data/google/hotel_info/live/advanced.md)
                      端点的互操作性
                  items.other_sites_reviews:
                    type: array
                    items:
                      type: string
                    description: >-
                      *第三方网站上的评价* **注意：**此字段始终等于 `null`；使用此字段可简化集成，并确保与 [Hotel
                      Info](https://docs.dataforseo.com/v3/business_data/google/hotel_info/live/advanced.md)
                      端点的互操作性
                  items.overview_images:
                    type: array
                    items:
                      type: string
                    description: '*酒店的精选图片*'
                  items.prices:
                    type: object
                    description: '*酒店价格*'
                  items.price:
                    type: integer
                    description: '*每晚价格*'
                  items.price_without_discount:
                    type: integer
                    description: '*未应用折扣的每晚全价*'
                  items.currency:
                    type: string
                    description: 除非在 POST 数组中指定，否则默认采用*价格货币* `USD`
                  items.discount_text:
                    type: string
                    description: '*有关已应用折扣的文本*'
                  items.check_in:
                    type: string
                    description: >-
                      UTC 格式的*入住日期和时间*：“yyyy-mm-dd hh-mm-ss
                      +00:00”，示例：`2019-11-15 12:57:46 +00:00`
                  items.check_out:
                    type: string
                    description: >-
                      UTC 格式的*退房日期和时间*：“yyyy-mm-dd hh-mm-ss
                      +00:00”，示例：`2019-11-15 12:57:46 +00:00`
                  items.visitors:
                    type: integer
                    description: '*此价格对应的酒店访客人数*'
                  items.items:
                    type: array
                    items:
                      type: string
                    description: >-
                      *项目数组* **注意：**此字段始终等于 `null`；使用此字段可简化集成，并确保与 [Hotel
                      Info](https://docs.dataforseo.com/v3/business_data/google/hotel_info/live/advanced.md)
                      端点的互操作性
        '400':
          description: 错误请求
        '401':
          description: 未授权
        '429':
          description: 超出速率限制
        '500':
          description: 内部服务器错误
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````